win上PythonQt库如何建立

工程中依赖项已经有Qt和Python的库,编译PythonQt时还会出现>LPythonQt.obj : error LNK2019: 无法解析的外部符号 imp_invalid_parameter_noinfo_noreturn,该符号在函数 "public: int const & __thiscall std::_Vector_const_iterator > >::operator*(void)const " (??D?$_Vector_const_iterator@V?$_Vector_val@HV?$allocator@H@std@@@std@@@std@@QBEABHXZ) 中被引用 2>C:\Users\Administrator\Desktop\veloview\PythonQt3.0\bin\Debug\PythonQt.dll : fatal error LNK1120: 1 个无法解析的外部命令,不知道什么原因,求解答

1个回答

对应的python和qt库是否都是对应的版本,是不是依赖的版本不一致

sunpeng1949
阳光1949 用的是Python2.7,Qt4.8.6,PythonQt2.1,3.0都试了,都出现上面的问题,您用过可以的版本配置可以介绍一下吗
大约 5 年之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问